### Method

# Panel Session lookup_by_id

since: 1.4

#### Declaration [src]

    PanelSessionItem*
    panel_session_lookup_by_id (
      PanelSession* self,
      const char* id
    )

#### Description [src]

Gets a session item matching `id`.

Available since: 1.4

#### Parameters

`id`

  Type: `const char*`

  The id of the item.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `PanelSessionItem`

An `PanelSessionItem` or `NULL`.

The caller of the method takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.